Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229192 - possible recursive locking detected on boot up
Summary: possible recursive locking detected on boot up
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FCMETA_LOCKDEP
TreeView+ depends on / blocked
 
Reported: 2007-02-19 13:42 UTC by David Nielsen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-21 05:39:30 UTC


Attachments (Terms of Use)

Description David Nielsen 2007-02-19 13:42:23 UTC
Description of problem:

I'm seeing the following on every bootup:

=============================================
[ INFO: possible recursive locking detected ]
2.6.20-1.2932.fc7 #1
---------------------------------------------
init/1 is trying to acquire lock:
 (&bdev->bd_mutex){--..}, at: [<ffffffff80263385>] mutex_lock+0x2a/0x2e

but task is already holding lock:
 (&bdev->bd_mutex){--..}, at: [<ffffffff80263385>] mutex_lock+0x2a/0x2e

other info that might help us debug this:
1 lock held by init/1:
 #0:  (&bdev->bd_mutex){--..}, at: [<ffffffff80263385>] mutex_lock+0x2a/0x2e

stack backtrace:

Call Trace:
 [<ffffffff802a4698>] __lock_acquire+0x151/0xbc4
 [<ffffffff802a5501>] lock_acquire+0x4c/0x65
 [<ffffffff80263385>] mutex_lock+0x2a/0x2e
 [<ffffffff802631c1>] __mutex_lock_slowpath+0xff/0x299
 [<ffffffff802df266>] get_super+0x9e/0xa9
 [<ffffffff80263385>] mutex_lock+0x2a/0x2e
 [<ffffffff8033f9ba>] blkdev_ioctl+0x574/0x6ba
 [<ffffffff802f220c>] block_ioctl+0x1b/0x1f
 [<ffffffff80242aad>] do_ioctl+0x2a/0x77
 [<ffffffff802308d1>] vfs_ioctl+0x260/0x27d
 [<ffffffff80264599>] trace_hardirqs_on_thunk+0x35/0x37
 [<ffffffff8024d1d8>] sys_ioctl+0x5f/0x82
 [<ffffffff80248532>] set_close_on_exec+0x30/0x85
 [<ffffffff8025d11e>] system_call+0x7e/0x83

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2932.fc7

How reproducible:
100%

Comment 1 David Nielsen 2007-10-21 05:39:30 UTC
No longer relevant, closing


Note You need to log in before you can comment on or make changes to this bug.